Summary: Topdrawer - histgram display
Name: topdraw
%define version 1.4c
%define _ugsversion 2.10d
Version: %{version}
Release: 10.10%{?dist}12a

License: The Board of Trustees of the Leland, Stanford Junior University
Group: Applications/Math
Source0: ftp://iris.riken.go.jp/pub/topdrawer/topdrawer-all.tar.gz
Source1: ftp://iris.riken.go.jp/pub/ugs/ugs.tar.gz
Source2: localhost:/td.1
Patch0: topdrawer%{version}-macosx.patch
Patch1: ugs%{_ugsversion}-macosx.patch
Patch2: topdrawer%{version}-td2ugs.patch
Patch3: ugs%{_ugsversion}-gfortran.patch
Patch4: topdrawer%{version}-gfortran.patch
Patch5: topdrawer%{version}-color.patch
Patch6: ugs%{_ugsversion}-intelmac.patch
Patch7: topdrawer%{version}-gcc46.patch
Packager: Keifuke Fujii <keisuke.fujii@kek.jp>
BuildRoot: %{_tmppath}/td-root

%description
This is a port of Topdrawer 5.12 to Linux with a  number  of  en-
hanced features (most of them are the revival of ones lost in the
FNAL   version).     Please    report    problems    to    okamu-
ra@timshel.riken.go.jp.  This is a private release and is NOT of-
ficially supported by Univ. of Tokyo or by RIKEN.

The latest release is available from 
	ftp://iris.riken.go.jp/pub/topdrawer/ .


%prep
%setup -n topdraw-%{version} -q -c -a 1

cd topdrawer
cp -p $RPM_SOURCE_DIR/td.1 .
%ifos darwin
%patch0 -p1
%patch7 -p1 -b .gfort
%endif
%patch2 -p1
cd ..
%patch4 -p1 -b .gfort

cd ugs
%ifos darwin
%patch1 -p1
%ifarch x86_64
%patch6 -p1 -b .imac
%endif
%endif
%patch5 -p2 -b .color
cd ..
%patch3 -p1 -b .gfort

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%build
cd ugs
xmkmf
make Makefiles IMAKE='imake -I/usr/osxws/share/X11/config'
%ifos darwin
make FC='gfortran' CC='gcc' XLIB+='-L/usr/X11R6/lib -undefined dynamic_lookup'
### dirty hack
mkdir tmp
cd tmp
ar -x ../ugs.a
ar -r ugs.a *.o
ranlib ugs.a
mv -f ugs.a ..
cd ..
make FC='gfortran' CC='gcc' XLIB+='-L/usr/X11R6/lib -undefined dynamic_lookup'
###
%else
make
%endif

cd ../topdrawer
xmkmf
make Makefiles IMAKE='imake -I/usr/osxws/share/X11/config'
%ifos darwin
make FC='gfortran' CC='gcc' XLIB+='-L/usr/X11R6/lib -undefined dynamic_lookup'
%else
make
%endif
cd ..

%install
cd topdrawer
install -c -m 755 td $RPM_BUILD_ROOT%{_bindir}
install -c -m 755 td.1 $RPM_BUILD_ROOT%{_mandir}/man1

rm -f doc/doc2gih
rm -f doc/doc2tex
mv HINTS INSTALL* README* examples doc ..


%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/td
%{_mandir}/man1/td.1*
%doc HINTS INSTALL* README* examples doc

%changelog
* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.10hepx1a
- 1st build and release on MacOSX 10.10

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.9hepx1c
- 3rd build and release on MacOSX 10.9

* Wed Dec 25 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.9hepx1b
- 2nd build and release on MacOSX 10.9
- now installed under /usr/osxws.
- added a man page.

* Thu Nov 21 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.9hepx1a
- 1st build and release on MacOSX 10.9

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.7hepx1a
- 1st release on MacOSX 10.7
- now built for x86_64

* Tue Jan 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.6hepx1d
- 4th release on MacOSX 10.6 for Intel Macs.
- rebuilt with gcc4.5.1 and wih libgfortran.dylib

* Sat Nov 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.6hepx1c
- 3rd release on MacOSX 10.6 for Intel Macs.
- rebuilt

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.6hepx1b
- 2nd release on MacOSX 10.6 for Intel Macs.
- rebuilt

* Sun Mar 07 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.6hepx1a
- 1st release on MacOSX 10.6 for Intel Macs.

* Sat Mar 22 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-10.5hepx1a
- 1st release on MacOSX 10.5 for Intel Macs.

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3g
- 2nd release on MacOSX 10.4 for Intel Macs.

* Thu Oct 05 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3f
- 1st release on MacOSX 10.4 for Intel Macs.

* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3e
- 4th release on MacOSX 10.4.
- linked against libgfortran.1.dylib instead of libgfortran.0.dylib.

* Tue Nov 15 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3d
- 3rd release on MacOSX 10.4.
- added XLIB+='-undefined dynamic_lookup' to accomodate with Xtools update.

* Tue Nov 15 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3c
- 1st release on Scientific Linux 4.1
- reorginized pathces

* Sun Nov 13 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3b
- 2nd release on MacOSX 10.4.
- fixed a bug in ugs2.10d-gfortran patch for ugenab.f.

* Fri Nov 11 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-3a
- 2nd release on MacOSX 10.4.
- added color patch.

* Fri Oct 14 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-2a
- 1st release on MacOSX 10.4.

* Fri Jan 09 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 1.4c-1d
- 1st release on MacOSX 10.3.

* Tue Jul 15 2003 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Separated macosx and td2ugs patches

* Mon Jul 14 2003 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- X now works as subscript/superscript control

* Wed Oct 9 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X 10.2

